Get one heartbeat on a status page: the name the page shows and its cron job.
GET
/status_page/{status_page_id}/cron_job/{cron_job_id}
const url = 'https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cron_job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/cron_job/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” status_page_id
required
string format: uuid
Status page identifier
cron_job_id
required
string format: uuid
Cron job identifier
Responses
Section titled “ Responses ”The heartbeat
Missing or invalid authentication
Status page not found, or the cron job is not on it
Internal server error